public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/lilypond/
Date: Tue,  7 Feb 2023 21:49:29 +0000 (UTC)	[thread overview]
Message-ID: <1675806559.249ab3d50b0061d95b75d111e6ec8e9a1f324b33.xgqt@gentoo> (raw)

commit:     249ab3d50b0061d95b75d111e6ec8e9a1f324b33
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  7 20:31:17 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Feb  7 21:49:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=249ab3d5

media-sound/lilypond: bump to 2.24.0

Closes: https://bugs.gentoo.org/893444
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-sound/lilypond/Manifest               |   1 +
 media-sound/lilypond/lilypond-2.24.0.ebuild | 132 ++++++++++++++++++++++++++++
 2 files changed, 133 insertions(+)

diff --git a/media-sound/lilypond/Manifest b/media-sound/lilypond/Manifest
index 2a71a9ca0ff4..edd54afc0ffa 100644
--- a/media-sound/lilypond/Manifest
+++ b/media-sound/lilypond/Manifest
@@ -2,3 +2,4 @@ DIST lilypond-2.22.0.tar.gz 18023031 BLAKE2B a7512629be43680c6e6bda1404c9b8e4a9b
 DIST lilypond-2.22.1.tar.gz 18033161 BLAKE2B 41bd0159e8e851a3582c35285d301113e6a50c95c7b5adbe8ab1de3cc4e84a0580fe54e2166372b6640ab3d486b48d40edbcf4eacbf211d4fcb4e5d6defae2ff SHA512 dfe159928afd8592769fe9bf940b35e285465c2103707d855e82dba860e817a195c906fa9bda6fdfabce6f5adeaf49111891e14a822bf9cfb70a98312c6a9d1d
 DIST lilypond-2.23.0.tar.gz 17047610 BLAKE2B 5d19a9936893a37db3ff6de269978d586012b7546fe5f3147e86966f1d521731dd2cf074c90de5b49feff6ee6f5057c90fe6485d7ae9126a8a5810b55d2dc5b2 SHA512 0138338e9e650f1d0d96504cd31d8b191307ae3fcec839162c80b8d233b27a9ff94f5b107aa2318278a874ed14e5e47747211ac4b44839d6749337f06dc12a6d
 DIST lilypond-2.23.2.tar.gz 17080861 BLAKE2B e27bde3625454dc070e4aeaa8c857c5e62b3e73fd197ba014805f657210942b3d1ef03d2d75594f63e7cc1838fbcbd40e2b42d14707b6b6eeec02cdd3f346754 SHA512 f5713394d7e79dad585e21690d8ac3c057eebe77113f1f307e8e1e117bccc26bdc5370a144505ebd887e653cee114cb9efcf75ec56b9d0320bbdf79e32498269
+DIST lilypond-2.24.0.tar.gz 19430807 BLAKE2B 2915d44e0e61a5756f515d31d11d29c657d763b7d7d84701ba67cb67c8e84faad74b8743a9703c4fe64ea4ef5f7c4ff76ed9675d62bd670aa6ea81b15385d348 SHA512 fc00736ae899519408781a7f1bf83065e493a857073d6f56cdadabc5817d4f41092dad12bfe210ec8a866f454b70f87ede6c7f1ba7aedc901134913b22c1431b

diff --git a/media-sound/lilypond/lilypond-2.24.0.ebuild b/media-sound/lilypond/lilypond-2.24.0.ebuild
new file mode 100644
index 000000000000..b230712614fa
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.24.0.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://git.savannah.gnu.org/git/lilypond.git"
+else
+	MAIN_VER=$(ver_cut 1-2)
+	SRC_URI="http://lilypond.org/download/sources/v${MAIN_VER}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~riscv ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANG_USE="l10n_ca l10n_cs l10n_de l10n_en l10n_fr l10n_hu l10n_it l10n_ja l10n_nl l10n_pt l10n_zh"
+IUSE="debug doc emacs profile ${LANG_USE}"
+unset LANG_USE
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+	dev-texlive/texlive-metapost
+	sys-apps/texinfo
+	sys-devel/bison
+	sys-devel/flex
+	virtual/pkgconfig
+	doc? ( app-text/texi2html )
+"
+RDEPEND="app-text/ghostscript-gpl
+	dev-scheme/guile:12=[deprecated,regex]
+	media-fonts/tex-gyre
+	media-libs/fontconfig
+	media-libs/freetype:2
+	x11-libs/pango
+	emacs? ( >=app-editors/emacs-23.1:* )
+	${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+	app-text/t1utils
+	dev-lang/perl
+	dev-libs/kpathsea
+	media-gfx/fontforge[png,python]
+	sys-devel/gettext
+	doc? (
+		dev-texlive/texlive-langcyrillic
+		l10n_cs? ( dev-texlive/texlive-xetex )
+		l10n_ja? ( dev-texlive/texlive-langjapanese )
+		l10n_zh? ( dev-texlive/texlive-langchinese )
+	)
+"
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.23.0-fix-font-size.patch
+	"${FILESDIR}"/${PN}-2.22.1-free_font.patch
+)
+
+DOCS=( DEDICATION README.md ROADMAP )
+
+src_prepare() {
+	default
+
+	# respect CFLAGS
+	sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+	eautoreconf
+
+	xdg_environment_reset #586592
+}
+
+src_configure() {
+	# fix hardcoded `ar`
+	sed -i "s/AR=ar/AR=$(tc-getAR)/g" flower/GNUmakefile || die "Failed to fix ar command"
+
+	local myeconfargs=(
+		--disable-optimising
+		--disable-pipe
+		$(use_enable debug debugging)
+		$(use_enable doc documentation)
+		$(use_enable profile profiling)
+	)
+
+	export VARTEXFONTS="${T}/fonts"  # https://bugs.gentoo.org/692010
+
+	econf "${myeconfargs[@]}" AR="$(tc-getAR)"
+}
+
+src_compile() {
+	default
+
+	use doc && emake LANGS="${L10N}" doc info
+
+	if use emacs ; then
+		elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+			|| die "elisp-compile failed"
+	fi
+}
+
+src_install() {
+	emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+	use doc && emake DESTDIR="${D}" install-doc
+
+	# remove elisp files since they are in the wrong directory
+	rm -r "${ED}"/usr/share/emacs || die
+
+	if use emacs ; then
+		elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+			|| die "elisp-install failed"
+		elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+	fi
+
+	python_fix_shebang "${ED}"
+
+	einstalldocs
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2023-02-07 21:49 UTC|newest]

Thread overview: 109+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-07 21:49 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-19 14:10 [gentoo-commits] repo/gentoo:master commit in: media-sound/lilypond/ Sam James
2024-11-08  3:54 Sam James
2024-09-18 13:12 Arsen Arsenović
2024-08-11 20:56 Sam James
2024-06-23 11:28 Miroslav Šulc
2024-06-08  7:31 Miroslav Šulc
2024-06-08  7:24 Miroslav Šulc
2024-06-08  7:20 Miroslav Šulc
2024-01-05 10:09 Sam James
2024-01-05  8:28 Sam James
2024-01-05  8:13 Sam James
2024-01-03  8:56 Sam James
2024-01-03  8:51 Sam James
2023-04-20  4:02 Sam James
2023-04-20  4:02 Sam James
2023-04-19 18:09 Arthur Zamarin
2022-11-09 10:29 Miroslav Šulc
2022-06-25 12:19 Miroslav Šulc
2022-02-24  1:24 Maciej Barć
2022-02-24  1:24 Maciej Barć
2021-07-26 23:20 Marek Szuba
2021-02-15  8:25 Miroslav Šulc
2021-02-14 14:53 Sam James
2021-02-12 14:15 Sam James
2021-02-12 13:55 Sam James
2021-01-14 10:46 Miroslav Šulc
2021-01-13  9:18 Sam James
2021-01-13  9:17 Sam James
2021-01-12 22:37 Sam James
2021-01-12 12:50 Miroslav Šulc
2020-10-07  7:09 Agostino Sarubbo
2020-10-07  6:42 Agostino Sarubbo
2020-10-06 15:06 Sam James
2020-09-17  7:30 Miroslav Šulc
2020-09-17  7:30 Miroslav Šulc
2020-09-06  7:07 Miroslav Šulc
2020-09-06  4:11 Sam James
2020-09-05 22:55 Sam James
2020-09-05 16:17 Thomas Deutschmann
2020-09-05 11:22 Miroslav Šulc
2020-09-05  8:31 Miroslav Šulc
2020-08-07 12:05 Miroslav Šulc
2020-08-07 11:53 Agostino Sarubbo
2020-08-07 11:44 Agostino Sarubbo
2020-08-05 23:14 Sam James
2020-08-05  8:32 Miroslav Šulc
2020-08-05  8:22 Miroslav Šulc
2020-07-28  8:45 Ulrich Müller
2020-07-05  9:33 Miroslav Šulc
2020-06-10 13:42 Miroslav Šulc
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-09  4:23 Mart Raudsepp
2020-06-08  8:04 Miroslav Šulc
2020-04-02 10:38 Miroslav Šulc
2020-02-16 14:51 Andreas Sturmlechner
2020-02-16 13:41 Andreas Sturmlechner
2019-12-02 11:21 Miroslav Šulc
2019-12-01 15:38 Thomas Deutschmann
2019-11-29 21:54 Aaron Bauman
2019-11-29  8:59 Agostino Sarubbo
2019-11-04  7:28 Tim Harder
2019-10-28 10:54 Miroslav Šulc
2019-04-14 14:37 Aaron Bauman
2019-03-23 13:48 Pacho Ramos
2018-03-23  6:39 Tim Harder
2018-03-18 12:11 Mikle Kolyada
2018-03-18  0:40 Thomas Deutschmann
2018-03-17 18:22 Matt Turner
2018-01-06 19:53 Ulrich Müller
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-07-29 11:32 Tim Harder
2017-07-10  7:37 Tim Harder
2017-07-10  7:37 Tim Harder
2017-06-30  7:39 Alexis Ballier
2017-05-24  6:06 Tim Harder
2017-05-20 14:49 Tim Harder
2017-04-12 10:43 Tim Harder
2017-04-03  8:34 Tim Harder
2017-03-25  9:03 Tim Harder
2017-03-01 13:54 Tim Harder
2017-02-22 20:57 Tim Harder
2017-01-22  9:00 Tobias Klausmann
2017-01-06  2:30 Tim Harder
2017-01-06  2:30 Tim Harder
2016-12-26 20:22 Tim Harder
2016-12-12 19:41 Michał Górny
2016-12-09  3:25 Tim Harder
2016-11-12  5:10 Tim Harder
2016-11-12  5:09 Tim Harder
2016-10-26  4:07 Tim Harder
2016-09-30  4:46 Tim Harder
2016-09-01  3:10 Tim Harder
2016-08-20 23:23 Tim Harder
2016-08-19  2:20 Tim Harder
2016-08-19  2:20 Tim Harder
2016-08-19  2:20 Tim Harder
2016-08-19  2:15 Tim Harder
2016-06-12 22:00 Patrice Clement
2016-05-30 12:10 Tobias Klausmann
2015-11-10  6:12 Ian Delaney
2015-11-10  6:12 Ian Delaney
2015-11-10  6:12 Ian Delaney
2015-11-06 12:18 Ian Delaney
2015-08-28  9:39 Miroslav Šulc

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675806559.249ab3d50b0061d95b75d111e6ec8e9a1f324b33.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox